HttpRequest::setUrl
HttpRequestPool::attach
HTTP
PHP Manual

# The HttpRequestPool class

(PECL pecl_http >= 0.10.0)

## Class synopsis

HttpRequestPool implements Iterator , Countable {
public bool attach ( HttpRequest `$request` )
public __construct ([ HttpRequest `$request` [, HttpRequest `$...` ]] )
void __destruct ( void )
bool detach ( HttpRequest `$request` )
array getAttachedRequests ( void )
array getFinishedRequests ( void )
void reset ( void )
bool send ( void )
protected bool socketPerform ( void )
protected bool socketSelect ([ float `$timeout` = 0 ] )
}

## Class Members

## Properties

The HttpRequestPool class does not have any properties.

## Predefined Constants

The HttpRequestPool class does not have any constants.

## Table of Contents

- HttpRequestPool::attach — Attach HttpRequest
- HttpRequestPool::__construct — HttpRequestPool constructor
- HttpRequestPool::__destruct — HttpRequestPool destructor
- HttpRequestPool::detach — Detach HttpRequest
- HttpRequestPool::getAttachedRequests — Get attached requests
- HttpRequestPool::getFinishedRequests — Get finished requests
- HttpRequestPool::reset — Reset request pool
- HttpRequestPool::send — Send all requests
- HttpRequestPool::socketPerform — Perform socket actions
- HttpRequestPool::socketSelect — Perform socket select

HttpRequest::setUrl
HttpRequestPool::attach
HTTP
PHP Manual